<div fxFlex fxLayout="row" class="container">
  <h1 class="kd-header">Profile</h1>
  <mat-divider></mat-divider>
  <div class="kd-div-top-spacer"></div>

  <div *ngIf="user; else loadingUser">
    <table class="kd-profile-table">
      <tr>
        <td>Firstname:</td>
        <td>{{ user.firstname }}</td>
      </tr>
      <tr>
        <td>Lastname:</td>
        <td>{{ user.lastname }}</td>
      </tr>
      <tr>
        <td>Birth date:</td>
        <td>{{ user.birthDate }}</td>
      </tr>
      <tr>
        <td>Address:</td>
        <td>{{ user.address }}</td>
      </tr>
      <tr>
        <td>Phone:</td>
        <td>{{ user.phone }}</td>
      </tr>

      <mat-divider></mat-divider>

      <tr>
        <td>Role:</td>
        <td>{{ user.role }}</td>
      </tr>
      <tr>
        <td>CV:</td>
        <td>{{ user.cv }}</td>
      </tr>
      <tr>
        <td>Days off:</td>
        <td>{{ user.nDayOff }}</td>
      </tr>
      <tr>
        <td>Maximum days off:</td>
        <td>{{ user.maxDayOff }}</td>
      </tr>
      <tr>
        <td>Sick days:</td>
        <td>{{ user.nSickDays }}</td>
      </tr>
      <tr>
        <td>Maximum sick days:</td>
        <td>{{ user.maxSickDays }}</td>
      </tr>
    </table>
  </div>
  <div class="kd-div-top-spacer"></div>

  <div class="form-group form-row">
    <button class="btn kd-edit-button" (click)="onEditUser()">
      <div class="kd-inline">
        <mat-icon>create</mat-icon>
        <span class="kd-inline-text">Edit</span>
      </div>
    </button>
    <div class="padding-left: 6px;"></div>
    <button *ngIf="authService.isLoggedOwner()"
            class="btn kd-archive-button"
            (click)="onArchiveUser()">
      <div class="kd-inline">
        <mat-icon>archive</mat-icon>
        <span class="kd-inline-text">Archive</span>
      </div>
    </button>
  </div>

  <ng-template #loadingUser>
    <mat-spinner>
      Loading user ...
    </mat-spinner>
  </ng-template>

  <div class="kd-div-top-spacer"></div>
  <div style="padding-top: 30px"></div>

  <div *ngIf="companyPreview">
    <h1 class="kd-header">Company info</h1>
    <mat-divider></mat-divider>
    <div class="kd-div-top-spacer"></div>

    <table class="kd-profile-table">
      <tr>
        <td>Name:</td>
        <td *ngIf="showNameEditInput; else noEditName">
          <input name="name" class="kd-input" type="text" [(ngModel)]="nameEdit">
        </td>
        <ng-template #noEditName>
          <td>{{ companyPreview.name }}</td>
        </ng-template>
        <td>
          <mat-icon class="kd-edit" (click)="onShowCompanyNameEditor()">
            create
          </mat-icon>
        </td>
        <td *ngIf="showNameEditInput">
          <mat-icon class="kd-check" (click)="onEditCompanyName()">
            check
          </mat-icon>
        </td>
        <td *ngIf="showNameEditInput">
          <mat-icon class="kd-cancel" (click)="onCancelEditCompanyName()">
            cancel
          </mat-icon>
        </td>
      </tr>
      <tr>
        <td>Logo:</td>
        <td *ngIf="showLogoEditInput; else noEditLogo">
          <input name="logo" class="kd-input" type="text" [(ngModel)]="logoEdit">
        </td>
        <ng-template #noEditLogo>
          <td>{{ companyPreview.logo }}</td>
        </ng-template>
        <td>
          <mat-icon class="kd-edit" (click)="onShowCompanyLogoEditor()">
            create
          </mat-icon>
        </td>
        <td *ngIf="showLogoEditInput">
          <mat-icon class="kd-check" (click)="onEditCompanyLogo()">
            check
          </mat-icon>
        </td>
        <td *ngIf="showLogoEditInput">
          <mat-icon class="kd-cancel" (click)="onCancelEditCompanyLogo()">
            cancel
          </mat-icon>
        </td>
      </tr>
      <tr>
        <td>Owner:</td>
        <td>YOU</td>
        <td></td>
      </tr>
      <tr>
        <td>Total employed:</td>
        <td>{{ companyPreview.numOfEmployees }}</td>
        <td></td>
      </tr>
      <tr>
        <td>Maximum number of employees:</td>
        <td *ngIf="showMaxNumOfEmployeesEditInput; else noEditMaxNumOfEmployees">
          <input name="maxNumOfEmployees" class="kd-input" type="text"
                 [(ngModel)]="maxNumOfEmployeesEdit">
        </td>
        <ng-template #noEditMaxNumOfEmployees>
          <td>{{ companyPreview.maxNumOfEmployees }}</td>
        </ng-template>
        <td>
          <mat-icon class="kd-edit" (click)="onShowCompanyMaxNumOfEmployeesEditor()">
            create
          </mat-icon>
        </td>
        <td *ngIf="showMaxNumOfEmployeesEditInput">
          <mat-icon class="kd-check" (click)="onEditCompanyMaxNumOfEmployees()">
            check
          </mat-icon>
        </td>
        <td *ngIf="showMaxNumOfEmployeesEditInput">
          <mat-icon class="kd-cancel" (click)="onCancelEditCompanyMaxNumOfEmployees()">
            cancel
          </mat-icon>
        </td>
      </tr>
      <tr>
        <td>Info:</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <td colspan="2">
          <textarea cols="28" rows="10" class="kd-info-text"
                    [(ngModel)]="infoEdit" [disabled]="!showInfoEdit">
          </textarea>
        </td>
      </tr>
      <tr>
        <td>
          <mat-icon class="kd-edit" (click)="onShowInfoEdit()">
            create
          </mat-icon>
        </td>
        <td *ngIf="showInfoEdit">
          <mat-icon class="kd-check" (click)="onEditCompanyInfo()">
            check
          </mat-icon>
        </td>
        <td *ngIf="showInfoEdit">
          <mat-icon class="kd-cancel" (click)="onCancelEditCompanyInfo()">
            cancel
          </mat-icon>
        </td>
      </tr>
    </table>
    <div class="kd-div-top-spacer"></div>

    <div class="form-group form-row kd-button-margin">
      <button class="btn kd-edit-button" type="submit" (click)="onSaveChanges()">
        <div class="kd-inline">
          <mat-icon>save</mat-icon>
          <span class="kd-inline-text">Save changes</span>
        </div>
      </button>
      <button type="reset"
              class="btn kd-cancel-changes"
              (click)="onUndoChanges()">
        <div class="kd-inline">
          <mat-icon>undo</mat-icon>
          <span class="kd-inline-text">Undo changes</span>
        </div>
      </button>
  </div>
  </div>
</div>
